Subject: bug#4778: bytecomp needs updating for byte-compile-fdefinition change

From: Glenn Morris <[email-masked]>
Date: Wed, 21 Oct 2009 14:14:31 -0400

In the current CVS trunk, compiling byte-run.el gives the nonsensical
warnings:

    In define-obsolete-function-alias:
    byte-run.el:136:11:Warning: macro define-obsolete-function-alias used
    to take 0+ arguments, now takes 2-4

    In define-obsolete-variable-alias:
    byte-run.el:175:11:Warning: macro define-obsolete-variable-alias used
    to take 0+ arguments, now takes 2-4

This is because byte-compile-fdefinition for these forms now returns a
list with 'macro' at the front, which byte-compile-arglist-warn does
not understand.

By eye, it looks like byte-compile-callargs-warn and display-call-tree
might also need updating.